#ifndef __MW_UNITTES_H__
#define __MW_UNITTES_H__
#include <stdint.h>
#include "hal.h"


//int32_t unittest_register(AMBA_SHELL_COMMAND_s *pNewCmd);
/* unittest_shell_entry
** 执行命令行
** 将这个函数插到shell回调中
*/
int32_t unittest_shell_entry(int32_t argc, char **argv);

/* unittest_file_entry
** 执行脚本文件
*/
int32_t unittest_file_entry(uint8_t file_cnt, char *file_list[]);

/* unittest_get
** 需要由外部的project的unittest_list实现
*/
int32_t unittest_get(unittest_cmd **cmds);
//{
//    *cmds = unittest_list;
//    return sizeof(unittest_list)/sizeof(unittest_cmd);
//}


void unittest(uint32_t argc, char **argv);

int32_t unittest_test();

#endif /* __MW_UNITTES_H__ */
